Bug 982630 - Documentation : virsh attach-disk --help shouldbe updated with proper examples for --type and --driver
Documentation : virsh attach-disk --help shouldbe updated with proper exampl...
Status: CLOSED WONTFIX
Product: Virtualization Tools
Classification: Community
Component: libvirt (Show other bugs)
unspecified
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Libvirt Maintainers
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-09 08:47 EDT by chandrashekar shastri
Modified: 2016-04-11 07:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-11 07:34:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description chandrashekar shastri 2013-07-09 08:47:46 EDT
By default if we attach the qcow2 image to the guest it adds a raw image.

So, one would think --type is meant for qcow2, raw.. etc. which is actually for cdrom, floppy drive.. etc.

It would be better if the help page is updated with examples like

 --type " target device type eg: cdrom, floppy" instead of just "target device type" and supported drivers for  --driver qcow2 etc


virsh attach-disk --help
  NAME
    attach-disk - attach disk device

  SYNOPSIS
    attach-disk <domain> <source> <target> [--driver <string>] [--subdriver <string>] [--cache <string>] [--type <string>] [--mode <string>] [--config] [--sourcetype <string>] [--serial <string>] [--shareable] [--rawio] [--address <string>] [--multifunction] [--print-xml]

  DESCRIPTION
    Attach new disk device.

  OPTIONS
    [--domain] <string>  domain name, id or uuid
    [--source] <string>  source of disk device
    [--target] <string>  target of disk device
    --driver <string>  driver of disk device
    --subdriver <string>  subdriver of disk device
    --cache <string>  cache mode of disk device
    --type <string>  target device type
    --mode <string>  mode of device reading and writing
    --config         affect next boot
    --sourcetype <string>  type of source (block|file)
    --serial <string>  serial of disk device
    --shareable      shareable between domains
    --rawio          needs rawio capability
    --address <string>  address of disk device
    --multifunction  use multifunction pci under specified address
    --print-xml      print XML document rather than attach the disk
Comment 1 Cole Robinson 2016-04-09 22:18:52 EDT
I sent a patch upstream: http://www.redhat.com/archives/libvir-list/2016-April/msg00454.html
Comment 2 Cole Robinson 2016-04-11 07:34:33 EDT
Upstream patch was NACKd in favor of the man page

Note You need to log in before you can comment on or make changes to this bug.